package com.its.vds.dto;

import com.its.vds.entity.TbVdsDtctStts;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 *  DTO Class
 */
@Data
@Builder
public class TbVdsDtctSttsDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long vdsDtctNmbr;
    private String updtDt;
    private Integer dtctStts;

    public TbVdsDtctStts toEntity() {
        return TbVdsDtctStts.builder()
                .vdsDtctNmbr(this.vdsDtctNmbr)
                .updtDt(this.updtDt)
                .dtctStts(this.dtctStts)
                .build();
    }

}
